
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux查看实时网卡流量的几种方式 / 憋错料</title>

    <meta name="description" content="Linux查看实时网卡流量的几种方式 Linux查看实时网卡流量的几种方式 来源  https://www.jianshu.com/p/b9e942f3682c 在工作中,我们经常需要查看服务器的实时网卡流量.通常,我们会通过这几种方式查看Linux服务器的实时网卡流量. 1. sar -n DEV 1 2 sar命令包含在sysstat工具包中,提供系统的众多统计数据.其在不同的系统上命令有些差异,某些系统提供的sar支持基于网络接口的数据统计,也可以查看设备上每秒收发包的个数和流量. sar –n DEV 1 2 命令后面1 2">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Linux查看实时网卡流量的几种方式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>Linux查看实时网卡流量的几种方式</h1>
<p>来源&nbsp; https://www.jianshu.com/p/b9e942f3682c</p>
<p>在工作中，我们经常需要查看服务器的实时网卡流量。通常，我们会通过这几种方式查看Linux服务器的实时网卡流量。</p>
<p><strong>1. sar -n DEV 1 2</strong></p>
<p>sar命令包含在sysstat工具包中，提供系统的众多统计数据。其在不同的系统上命令有些差异，某些系统提供的sar支持基于网络接口的数据统计，也可以查看设备上每秒收发包的个数和流量。</p>
<pre><code> sar &ndash;n DEV  1 2
</code></pre>
<p>命令后面1 2 意思是：每一秒钟取1次值，取2次。</p>
<p>DEV显示网络接口信息</p>
<p>另外，-n参数很有用，他有6个不同的开关：DEV | EDEV | NFS | NFSD | SOCK | ALL ，其代表的含义如下：</p>
<ul>
<li>DEV显示网络接口信息。</li>
<li>EDEV显示关于网络错误的统计数据。</li>
<li>NFS统计活动的NFS客户端的信息。</li>
<li>NFSD统计NFS服务器的信息</li>
<li>SOCK显示套接字信息</li>
<li>ALL显示所有5个开关</li>
</ul>
<pre><code>[sre@CDVM-213017031 ~]$ sar -n DEV 1 2
Linux 2.6.32-431.el6.x86_64 (CDVM-213017031)    05/04/2017  _x86_64_    (4 CPU)

08:05:30 PM     IFACE   rxpck/s   txpck/s    rxkB/s    txkB/s   rxcmp/s   txcmp/s  rxmcst/s
08:05:31 PM        lo      0.00      0.00      0.00      0.00      0.00      0.00      0.00
08:05:31 PM      eth0   1788.00   1923.00    930.47    335.60      0.00      0.00      0.00

08:05:31 PM     IFACE   rxpck/s   txpck/s    rxkB/s    txkB/s   rxcmp/s   txcmp/s  rxmcst/s
08:05:32 PM        lo      0.00      0.00      0.00      0.00      0.00      0.00      0.00
08:05:32 PM      eth0   1387.00   1469.00    652.12    256.98      0.00      0.00      0.00

Average:        IFACE   rxpck/s   txpck/s    rxkB/s    txkB/s   rxcmp/s   txcmp/s  rxmcst/s
Average:           lo      0.00      0.00      0.00      0.00      0.00      0.00      0.00
Average:         eth0   1587.50   1696.00    791.29    296.29      0.00      0.00      0.00
</code></pre>
<p><em>参数说明：</em></p>
<ul>
<li>IFACE：LAN接口</li>
<li>rxpck/s：每秒钟接收的数据包</li>
<li>txpck/s：每秒钟发送的数据包</li>
<li>rxbyt/s：每秒钟接收的字节数</li>
<li>txbyt/s：每秒钟发送的字节数</li>
<li>rxcmp/s：每秒钟接收的压缩数据包</li>
<li>txcmp/s：每秒钟发送的压缩数据包</li>
<li>rxmcst/s：每秒钟接收的多播数据包</li>
<li>rxerr/s：每秒钟接收的坏数据包</li>
<li>txerr/s：每秒钟发送的坏数据包</li>
<li>coll/s：每秒冲突数</li>
<li>rxdrop/s：因为缓冲充满，每秒钟丢弃的已接收数据包数</li>
<li>txdrop/s：因为缓冲充满，每秒钟丢弃的已发送数据包数</li>
<li>txcarr/s：发送数据包时，每秒载波错误数</li>
<li>rxfram/s：每秒接收数据包的帧对齐错误数</li>
<li>rxfifo/s：接收的数据包每秒FIFO过速的错误数</li>
<li>txfifo/s：发送的数据包每秒FIFO过速的错误数</li>
</ul>
<p>这种方式简单，直观，推荐使用。</p>
<p><strong>2.实时监控脚本</strong></p>
<pre><code>#!/bin/bash

ethn=$1

while true
do
  RX_pre=$(cat /proc/net/dev | grep $ethn | sed ‘s/:/ /g‘ | awk ‘{print $2}‘)
  TX_pre=$(cat /proc/net/dev | grep $ethn | sed ‘s/:/ /g‘ | awk ‘{print $10}‘)
  sleep 1
  RX_next=$(cat /proc/net/dev | grep $ethn | sed ‘s/:/ /g‘ | awk ‘{print $2}‘)
  TX_next=$(cat /proc/net/dev | grep $ethn | sed ‘s/:/ /g‘ | awk ‘{print $10}‘)

  clear
  echo -e "\t RX `date +%k:%M:%S` TX"

  RX=$((${RX_next}-${RX_pre}))
  TX=$((${TX_next}-${TX_pre}))

  if [[ $RX -lt 1024 ]];then
    RX="${RX}B/s"
  elif [[ $RX -gt 1048576 ]];then
    RX=$(echo $RX | awk ‘{print $1/1048576 "MB/s"}‘)
  else
    RX=$(echo $RX | awk ‘{print $1/1024 "KB/s"}‘)
  fi

  if [[ $TX -lt 1024 ]];then
    TX="${TX}B/s"
  elif [[ $TX -gt 1048576 ]];then
    TX=$(echo $TX | awk ‘{print $1/1048576 "MB/s"}‘)
  else
    TX=$(echo $TX | awk ‘{print $1/1024 "KB/s"}‘)
  fi

  echo -e "$ethn \t $RX   $TX "

done

</code></pre>
<p>此脚本不需要额外再安装软件，并且可自定义欲查看接口，精确到小数，可根据流量大小灵活显示单位，默认采集间隔为1秒。</p>
<p>用法为：</p>
<p>1、将脚本保存为可执行脚本文件，比如叫netmon.sh。</p>
<p>2、chmod +x ./netmon.sh 将文件改成可执行脚本。</p>
<p>3、sudo ./netmon.sh eth0 即可开始监看接口eth0流量，按ctrl+c退出。</p>
<p>脚本是通过读取运行时文件系统/proc/net/dev中的网络实时数据，并通过简单计算得到的。关于目录/proc/net/dev，请参考下文。</p>
<p><strong>3. cat /proc/net/dev</strong></p>
<p>Linux 内核提供了一种通过 /proc 文件系统，在运行时访问内核内部数据结构、改变内核设置的机制。proc文件系统是一个伪文件系统，它只存在内存当中，而不占用外存空间。它以文件系统的方式为访问系统内核数据的操作提供接口。用户和应用程序可以通过proc得到系统的信息，并可以改变内核的某些参数。由于系统的信息，如进程，是动态改变的，所以用户或应用程序读取proc文件时，proc文件系统是动态从系统内核读出所需信息并提交的。/proc文件系统中包含了很多目录，其中/proc/net/dev 保存了网络适配器及统计信息。</p>
<pre><code>[sre@CDVM-213017031 ~]$ cat /proc/net/dev
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:137052296  108029    0    0    0     0          0         0 137052296  108029    0    0    0     0       0          0
  eth0:13661574714188 31346790620    0    0    0     0          0         0 5097461049535 27671144304    0    0    0     0       0          0

  最左边的表示接口的名字，Receive表示收包，Transmit表示发送包；
  bytes表示收发的字节数；
  packets表示收发正确的包量；
  errs表示收发错误的包量；
  drop表示收发丢弃的包量；
</code></pre>
<p>其实，我们平时经常用的很多查看网卡实时流量的命令，都是通过读取该目录下的实时流量，并通过简单计算得到的。</p>
<p><strong>4. 使用watch命令，配合ifconfig、more /proc/net/dev、cat /proc/net/dev来实时监控。</strong>比如执行 watch -n 1 "ifconfig eth0"</p>
<pre><code>Every 1.0s: ifconfig eth0                                                                                                                                    Thu May  4 20:26:45 2017

eth0      Link encap:Ethernet  HWaddr FA:16:3E:7E:55:D1
          inet addr:10.213.17.31  Bcast:10.213.23.255  Mask:255.255.248.0
          inet6 addr: fe80::f816:3eff:fe7e:55d1/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:31350149703 errors:0 dropped:0 overruns:0 frame:0
          TX packets:27674701465 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:13663400883450 (12.4 TiB)  TX bytes:5098104759633 (4.6 TiB)
</code></pre>
<p>watch可以帮你监测一个命令的运行结果，省得你一遍遍的手动运行。在Linux下，watch是周期性的执行下个程序，并全屏显示执行结果。</p>
<p>最后，除了上面提供的几种，还有很多种方式可以来看当前系统的网卡流量，我就不再一一复述了，上述方式如果不能满足你的需求，请自行google一下吧。</p>
<p><strong>根据其易用性以及可读性，强烈推荐方法1和方法2。</strong></p>
<p>====================== End</p>

<p>原文地址：https://www.cnblogs.com/lsgxeva/p/10566653.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 21:03:09 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/int/" title="int">int</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>, <a href="https://www.biecuoliao.com/tag/%e8%ae%a1%e7%ae%97/" title="计算">计算</a>, <a href="https://www.biecuoliao.com/tag/ica/" title="ica">ica</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%a2%e6%88%b7/" title="客户">客户</a>, <a href="https://www.biecuoliao.com/tag/sudo/" title="sudo">sudo</a>, <a href="https://www.biecuoliao.com/tag/%e7%bd%91%e5%8d%a1/" title="网卡">网卡</a>, <a href="https://www.biecuoliao.com/tag/6-2/" title="6&period;2">6&period;2</a>, <a href="https://www.biecuoliao.com/tag/x86_64/" title="x86&lowbar;64">x86&lowbar;64</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Linux查看实时网卡流量的几种方式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lrnXB4.html" rel="bookmark">Linux查看实时带宽流量情况</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux中查看网卡流量工具有iptraf.iftop以及nethogs等,iftop可以用来监控网卡的实时流量(可以指定网段).反向解析IP.显示端口信息等. 安装iftop的命令如下: CentOS系统为“yum install iftop -y” CentOS上安装所需依赖包: yum install flex byacc  libpcap ncurses ncurses-devel libpcap-devel 或者下载源码安装 wget http://www.ex-parrot.com/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVmmy14.html" rel="bookmark">通过Nethogs查看服务器网卡流量情况</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在日常运维工作中,会碰到服务器带宽飙升致使网站异常情况.作为运维人员,我们要能非常清楚地了解到服务器网卡的流量情况,观察到网卡的流量是由哪些程序在占用着. 今天介绍一款linux下查看服务器网卡流量占用情况的工具:Nethogs,来自github上的开源工具.它不依赖内核中的模块.当我们的服务器网络异常时,可以通过运行nethogs程序来检测是那个程序占用了大量带宽.节省了查找时间. Nethogs安装: 方法一:在epel源中可以直接yum安装[[email protected] src]#			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MBxKY3.html" rel="bookmark">Linux中设置服务自启动的三种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候我们需要Linux系统在开机的时候自动加载某些脚本或系统服务 主要用三种方式进行这一操作: ln -s                       在/etc/rc.d/rc*.d目录中建立/etc/init.d/服务的软链接(*代表0-6七个运行级别之一) chkonfig                命令行运行级别设置 ntsysv                   伪图形运行级别设置 注意:1.这三种方式主要用于以redhat为基础的发行版 2.如果还不知道运行级别是什么,那么最			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0b67op0.html" rel="bookmark">&lbrack;转&rsqb;Linux中设置服务自启动的三种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				from:http://www.cnblogs.com/nerxious/archive/2013/01/18/2866548.html 有时候我们需要Linux系统在开机的时候自动加载某些脚本或系统服务 主要用三种方式进行这一操作: ln -s                       在/etc/rc.d/rc*.d目录中建立/etc/init.d/服务的软链接(*代表0-6七个运行级别之一) chkonfig                命令行运行级别设置 ntsysv        			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AjWkgM.html" rel="bookmark">（转）Linux中设置服务自启动的三种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候我们需要Linux系统在开机的时候自动加载某些脚本或系统服务 主要用三种方式进行这一操作: ln -s                       在/etc/rc.d/rc*.d目录中建立/etc/init.d/服务的软链接(*代表0-6七个运行级别之一) chkonfig                命令行运行级别设置 ntsysv                   伪图形运行级别设置 注意:1.这三种方式主要用于以redhat为基础的发行版 2.如果还不知道运行级别是什么,那么最			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38rxZnM.html" rel="bookmark">获取Linux内核未导出符号的几种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从Linux内核的2.6某个版本开始,内核引入了导出符号的机制.只有在内核中使用EXPORT_SYMBOL或EXPORT_SYMBOL_GPL导出的符号才能在内核模块中直接使用.然而,内核并没有导出所有的符号.例如,在3.8.0的内核中,do_page_fault就没有被导出. 而我的内核模块中需要使用do_page_fault,那么有那些方法呢?这些方法分别有什么优劣呢? 下面以do_page_fault为例,一一进行分析: 修改内核,添加EXPORT_SYMBOL(do_page_fault			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kWybz0.html" rel="bookmark">Android 查看项目依赖树的四种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 查看项目依赖树的四种方式: 方式一: ./gradlew 模块名:dependencies //查看单独模块的依赖 ./gradlew :app:dependencies --configuration compile //查看项目的编译依赖 方式二:使用Gradle Project 方式三:安装Android Studio插件 gradle view 方式四:如果你嫌在命令行窗口展示观看不友好,这里还有一种体验更好的方式. 输入下面命令行: ./gradlew build --			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGPkDy0.html" rel="bookmark">用 Python 脚本实现对 Linux 服务器的网卡流量监控</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				*这篇文章网上已经有相关代码,为了加深印象,我做了相关注释,希望对朋友们有帮助 工作原理:基于/proc文件系统 Linux 系统为管理员提供了非常好的方法,使其可以在系统运行时更改内核,而不需要重新引导内核系统,这是通过/proc 虚拟文件系统实现的./proc 文件虚拟系统是一种内核和内核模块用来向进程(process)发送信息的机制(所以叫做&quot;/proc&quot;),这个伪文件系统允许与内核内部数据结构交互,获取有关进程的有用信息,在运行中(on the fly)改变设置(通过改变内核参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBxk7Y3.html" rel="bookmark">linux查看某个ip流量--思路一例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我之前的文章中分享过&quot;实时&quot;查看Linux某些网卡流量的小脚本,今天再分享一个查看本机到具体某个ip间的流量的思路.我有这个需求是因为:我们的存储是Dell存储设备通过nfs协议供多台业务机挂载使用,而我有必要了解每台机器和Dell存储之间的流量. 其实,如果仅仅是要看这个流量,iftop这个软件就很好,通过其自身的选项就能满足了,不需要再做什么额外的工作. 我的情况是:由于nfs客户机众多,而且虽是挂载一台存储设备但挂载点ip却不一样,并且我想把这个作为一个监控项放到zabbix里			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MEbpZ0.html" rel="bookmark" class="title">关于python性能提升的一些方案&lpar;上&rpar;</a>
					<div>
						一.函数调用优化(空间跨度,避免访问内存) 1.大数据求和,使用sum a = range(100000) %timeit -n 10 sum(a) 10 loops, best of 3: 3.15 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGGPkoM.html" rel="bookmark" class="title">Xcode模板修改</a>
					<div>
						*:first-child { margin-top: 0 !important; } body &gt; *:last-child { margin-bottom: 0 !important; }  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzazaq4.html" rel="bookmark" class="title">hibernate中注解方式中的控制反转</a>
					<div>
						都知道hibernate用xml方式配置关系时(one-to-many,many-to-many)可以添加控制反转属性 inverse=false(默认) 即将两表之间的关系交给对方来维护. inve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLJeZE3.html" rel="bookmark" class="title">批量ping IP地址命令测试是否通</a>
					<div>
						批量ping IP地址命令测试是否通 #!/bin/bash#--------------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8lqN0.html" rel="bookmark" class="title">php中的session&lowbar;id详解</a>
					<div>
						php中session_id()函数原型及说明session_id()函数说明:stringsession_id([string$id])session_id() 可以用来获取/设置 当前会话 ID. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXpmX3.html" rel="bookmark" class="title">访问者模式（Visitor）</a>
					<div>
						一.访问者模式介绍 访问者模式(Visitor):表示一个作用于某对象结构中的各元素的操作.它使你可以在不改变各元素的类的前提下定义作用于这些元素的新操作. 也就是说:针对不同对象做一些不同的操作,则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K21erM.html" rel="bookmark" class="title">nyoj1110 一个简单数学题</a>
					<div>
						-个简单的数学题 时间限制:1000 ms  |  内存限制:65535 KB 难度:2 描述    挖掘机技术哪家强,那么问题就来了??     现在有这样一个问题,(A/B) ≡ C%P(P素数, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YYvBX0.html" rel="bookmark" class="title">Self-Talk-Nothing4</a>
					<div>
						一: 每年七夕都是一个人过,这次也不例外,而且每年的这天也都会下大雨(至少我们这里会下): 二哥要结婚了,伴郎十有八九是我(但是我有一种直觉,他爸妈不会同意我做伴郎), 若真是我,记得婚礼那天给我找给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n5K9NM.html" rel="bookmark" class="title">1691&colon; &lbrack;Usaco2007 Dec&rsqb;挑剔的美食家</a>
					<div>
						Time Limit: 5 Sec  Memory Limit: 64 MBSubmit: 621  Solved: 280[Submit][Status][Discuss] Description  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV8kpx3.html" rel="bookmark" class="title">Django入门示例之被解放的姜戈&mdash;&mdash;03 所谓伊人（模板及模板处理）</a>
					<div>
						在之前的程序中,我们直接生成一个字符串,作为http回复,返回给客户端.这一过程中使用了django.http.HttpResponse(). 在这样的一种回复生成过程中,我们实际上将数据和视图的格式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXn6AG3.html" rel="bookmark" class="title">徐静蕾范冰冰撕逼升级 人交恶语录信息量令人</a>
					<div>
						徐静蕾范冰冰撕逼升级 人交恶语录信息量令人 范冰冰李晨恋情曝光后,各路明星乱入,有的被骂成狗,有人被吐成渣,有的躺着中枪,有的隔岸观火,有人隔空撕逼--这千载难逢的时机,徐静蕾自然不能错过,微博上一句 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBYlyK4.html" rel="bookmark" class="title">Javascript位置 body之前、后执行顺序&lpar;探讨&rpar;&excl;</a>
					<div>
						转载来自:http://blog.csdn.net/dxnn520/article/details/7927461 简介:当页面加载的时候,嵌入html标记的js代码和位于&lt;body&gt;&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qE6qD3.html" rel="bookmark" class="title">虚函数的访问控制与多态</a>
					<div>
						这里文章的题目是自拟的,只因为自己发现虚函数的访问控制,与自己之前的理解有出入,于是备忘之. 首先,虚函数是实现多态的机制,也就是说在利用基类的指针或者引用调用虚函数时,调用的是该指针或者引用的动态类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Zb89J3.html" rel="bookmark" class="title">C 语言 整理7</a>
					<div>
						#import &quot;Struct.h&quot;//导入自定义的头文件时,用 &quot; &quot;  导入系统定义的头文件时 使用 &lt; &gt; //数组作为函数参数在传递时,值填 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zWVGM.html" rel="bookmark" class="title">数据转换服务-PDF转换技术</a>
					<div>
						利用我公司自主开发的数据格式转换产品,面向社会各界,提供数据转换技术服务.根据用户的需求,将用户提供的原始数据文件转换为用户所需的数据文件格式.本公司向广大用户承诺,数据格式转换结果满足用户的需求,收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0doDWeM.html" rel="bookmark" class="title">2017年内容营销如何提高ROI转化率</a>
					<div>
						根据2017 CMI报告显示,有近41%的营销人员今年会实施一系列内容营销战略.作为与用户间长期关系的桥梁, 从品牌化输出到信任感的培育,内容营销的影响力迅猛发展. 本次Focussend从互动集成内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPvEOz3.html" rel="bookmark" class="title">OpenStack Networking</a>
					<div>
						今天的数据中心网络比以往不论什么时候包括的设备都要多,比如server.网络设备.存储系统和安全设备等.这当中有非常多被近一步划分为多个虚拟机和虚拟网络.IP地址的数量.路由配置和安全规则能够迅速达到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBplJM.html" rel="bookmark" class="title">Java &equals;&equals;&comma;equals&comma;hashCode&comma;解析&lpar;适合初学者阅读&rpar;</a>
					<div>
						1.对于equals()和hashCade()方法他们都是位于Java.lang.object类下的方法,又因为所有的类都继承于objct类,所以所有的类都可以使用这两个方法. 2.对于equals( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzj7z4.html" rel="bookmark" class="title">使用urlrewritefilter发现部分请求url报404</a>
					<div>
						在SSH项目中使用org.tuckey的urlrewritefilter-4.0.4包,部分代码如下: 1.mvn依赖:     &lt;dependency&gt;               &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QabbL4.html" rel="bookmark" class="title">PAT 07-3 求素数</a>
					<div>
						求素数,这是一个“古老”的问题,每个学过编程的人都应该碰到过,这里是求第M+1到第N个素数,这么经典的问题,当然得给它写上一笔,下面是题设要求及代码实现 1 /* 2 Name: 3 Copyrigh ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
